# Retry Webhook Request

<mark style="color:yellow;">`POST`</mark>  `/api/v2/webhooks/requests/:request_id`

The Retry Webhook Request endpoint resends the selected webhook request. \
\
This will resend the request one time only, and won't retry if the request is not acknowledged with a HTTP Status Code 200.&#x20;

### Path Parameters

| Name         | Type   | Description                                                                                                                                       | Required |
| ------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| `request_id` | UUIDV7 | <p>The ID of the webhook request. </p><p></p><p>Example: <mark style="color:orange;"><code>0663cc41-ef29-7995-8000-2d9b414b3174</code></mark></p> | True     |

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
    "status": "success",
    "data": {
        "id": "06859059-fb46-7ec1-8000-56fc7aa163ae",
        "webhook_url": "https://example.com",
        "event_type": "TRAVEL_RULE",
        "event_name": "TRANSFER_ACCEPTED",
        "status": 200,
        "request_payload": {
            "data": {
                "dti": "4H95J0R2X",
                "chain": "bitcoin",
                "amount": 4.2,
                "symbol": "BTC",
                "protocol": "flow",
                "amount_usd": 428462.12,
                "transfer_id": "06858fb9-bae1-79cd-8000-3094dc29f766",
                "reference_id": "65HIgpJqAUmc664atmlO",
                "transfer_status": "ACCEPTED",
                "transaction_hash": null,
                "originator_address_is_self_hosted": true,
                "beneficiary_address_is_self_hosted": false
            },
            "error": null,
            "timestamp": "2025-06-23T07:00:43.717046+00:00",
            "event_name": "TRANSFER_ACCEPTED",
            "event_type": "TRAVEL_RULE",
            "request_id": "06859059-fb46-7ec1-8000-56fc7aa163ae"
        },
        "error_details": null,
        "timestamp": "2025-06-24T04:38:34.141086+00:00"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ospree.io/ospree-api/webhooks/api-endpoints/retry-webhook-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
